#!/bin/bash

# Made by zskiljan@srce.hr & drago@srce.hr
# Ne koristim 'which' iako putanje nisu uvijek standardne
SENDMAILLOG="/var/log/mail.log"
SENDMAILSTATE="/tmp/zabbix-sendmail-offset"
SENDMAILDAT=$(mktemp)
LOGTAIL="/usr/sbin/logtail"
# Zabbix_sender putanja ce ovisiti o paketu zabbix_agent !!
ZABBIX_SENDER="/usr/bin/zabbix_sender"
ZABBIX_CONF="/etc/zabbix/zabbix_agentd.conf"

function zsend {
        $ZABBIX_SENDER -c $ZABBIX_CONF -k $1 -o $2 > /dev/null 2>&1
        }

$LOGTAIL -f$SENDMAILLOG -o$SENDMAILSTATE | grep sm-mta > $SENDMAILDAT

     zsend sendmail.received `grep 'Sent' $SENDMAILDAT|grep 'mailer=local'|wc -l`
     zsend sendmail.sent `grep 'Sent' $SENDMAILDAT|grep -v 'mailer=local'|wc -l`
     zsend sendmail.delivered `grep 'Sent' $SENDMAILDAT|wc -l`
     zsend sendmail.deferred `grep 'stat=Deferred' $SENDMAILDAT|wc -l`
     zsend sendmail.rejected `grep 'reject=' $SENDMAILDAT|wc -l`
     zsend sendmail.discarded `grep -E ' sm-mta\[[0-9]+\]: [[:alnum:]]+: discarded' $SENDMAILDAT|wc -l`
     zsend sendmail.interupted `grep 'lost input channel from' $SENDMAILDAT|wc -l`
     zsend sendmail.justconnected `grep 'did not issue MAIL/EXPN/VRFY/ETRN during connection to MTA' $SENDMAILDAT|wc -l`
     zsend sendmail.TTLSFailed `grep 'STARTTLS=client' $SENDMAILDAT|grep 'verify=FAIL'|wc -l`
     zsend sendmail.mailqueue `mailq | grep -v 'Mail queue is empty' | grep -E -c '^[0-9A-Za-z]+[ ]+[0-9]'`

rm -f $SENDMAILDAT
echo "1"

